package com.malk.xiding.service;

import java.util.Map;

public interface GSClient {

    /**
     * 月度工时汇总
     */
    void collectMonthReport();

    /**
     * 月度异常上报
     */
    boolean exceptionMonthReport();

    /**
     * 工时提交校验
     */
    void validateManHour(String userId, Map<String, String> details);

    /**
     * 消息通知
     *
     * @param isAdmin 异常提醒管理员: 当月处理完成; 填报提醒人员档案全员: 当月1号提醒
     */
    void noticeTemplate(boolean isAdmin);
}
