package com.malk.xiding.service;

import java.util.Date;

public interface XDService {

    /**
     * 同步审批单
     *
     * @param tmpCode 审批单编码
     * @param type    审批单描述
     */
    void syncApprove(long beginTime, long finishTime, String tmpCode, String type);

    /**
     * 同步考勤记录 [50人考勤记录部分接近1000]
     *
     * @param sTime 考勤同步开始时间 & 读取结束时间大于sTime的申请单
     * @param eTime 考勤同步结束时间
     */
    void syncAttendance(int page, Date sTime, Date eTime);

    /**
     * 同步出差记录考勤 [钉钉排班仅支持7天内查询: 提交出差后, 就会有对应的排班, 无需重复查询]
     * -
     * prd [2023-07] 外出保留之前纷享销客同步机制, 出差18点同步, 自动上传
     */
    void syncAttendanceForCC(int page, Date sTime, Date eTime);
}
