//package com.malk.xintianlong.repository.dao.slave;
//
//import com.malk.repository.entity.slave.JpaMapSlave;
//import org.springframework.data.domain.Page;
//import org.springframework.data.domain.Pageable;
//import org.springframework.data.jpa.repository.Query;
//import org.springframework.data.repository.CrudRepository;
//import org.springframework.stereotype.Repository;
//
//import javax.transaction.Transactional;
//import java.util.Date;
//import java.util.Map;
//
///**
// * 视图表查询 [通过Map实现, 无需定义实体, 主键设置Long即可]
// */
//@Repository("slaveJTDao")
//@Transactional
//public interface HSViewDao extends CrudRepository<JpaMapSlave, Long> {
//
//    /**
//     * 查询生产计划
//     */
//    @Query(value = "select * from vwpbCommonDataOrderPlan where dPlanDate >= ?1 and dPlanDate <= ?2 and sOrderNo like LTRIM('%' + ?3 + '%') order by dPlanDate desc", nativeQuery = true)
//    Page<Map> queryOrderPlan(Date start, Date end, String sOrderNo, Pageable pageable);
//
//    @Query(value = "select * from vwpbCommonDataOrderPlan where dPlanDate >= ?1 and sOrderNo like LTRIM('%' + ?2 + '%') order by dPlanDate desc", nativeQuery = true)
//    Page<Map> queryOrderPlan_start(Date end, String sOrderNo, Pageable pageable);
//
//    @Query(value = "select * from vwpbCommonDataOrderPlan where dPlanDate <= ?1 and sOrderNo like LTRIM('%' + ?2 + '%') order by dPlanDate desc", nativeQuery = true)
//    Page<Map> queryOrderPlan_end(Date start, String sOrderNo, Pageable pageable);
//
//    @Query(value = "select * from vwpbCommonDataOrderPlan where sOrderNo like LTRIM('%' + ?1 + '%') order by dPlanDate desc", nativeQuery = true)
//    Page<Map> queryOrderPlan(String sOrderNo, Pageable pageable);
//
//    /**
//     * 查询生产计划_数量
//     */
//    @Query(value = "select sum(trnQty) from vwpbCommonDataOrderPlan where dPlanDate >= ?1 and dPlanDate <= ?2 and sOrderNo like LTRIM('%' + ?3 + '%')", nativeQuery = true)
//    double queryOrderPlan_sum(Date start, Date end, String sOrderNo);
//
//    @Query(value = "select sum(trnQty) from vwpbCommonDataOrderPlan where dPlanDate >= ?1 and sOrderNo like LTRIM('%' + ?2 + '%')", nativeQuery = true)
//    double queryOrderPlan_start_sum(Date end, String sOrderNo);
//
//    @Query(value = "select sum(trnQty) from vwpbCommonDataOrderPlan where dPlanDate <= ?1 and sOrderNo like LTRIM('%' + ?2 + '%')", nativeQuery = true)
//    double queryOrderPlan_end_sum(Date start, String sOrderNo);
//
//    @Query(value = "select sum(trnQty) from vwpbCommonDataOrderPlan where sOrderNo like LTRIM('%' + ?1 + '%')", nativeQuery = true)
//    double queryOrderPlan_sum(String sOrderNo);
//
//    /**
//     * 查询成品库存
//     */
//    @Query(value = "select * from vwmmSTInStoreQuery where tStoreInTime >= ?1 and tStoreInTime <= ?2 and sStoreInNo like LTRIM('%' + ?3 + '%') order by tStoreInTime desc", nativeQuery = true)
//    Page<Map> queryStoreWarehouse(Date start, Date end, String sOrderNo, Pageable pageable);
//
//    @Query(value = "select * from vwmmSTInStoreQuery where tStoreInTime >= ?1 and sStoreInNo like LTRIM('%' + ?2 + '%') order by tStoreInTime desc", nativeQuery = true)
//    Page<Map> queryStoreWarehouse_start(Date end, String sOrderNo, Pageable pageable);
//
//    @Query(value = "select * from vwmmSTInStoreQuery where tStoreInTime <= ?1 and sStoreInNo like LTRIM('%' + ?2 + '%') order by tStoreInTime desc", nativeQuery = true)
//    Page<Map> queryStoreWarehouse_end(Date start, String sOrderNo, Pageable pageable);
//
//    @Query(value = "select * from vwmmSTInStoreQuery where sStoreInNo like LTRIM('%' + ?1 + '%') order by tStoreInTime desc", nativeQuery = true)
//    Page<Map> queryStoreWarehouse(String sStoreInNo, Pageable pageable);
//
//    /**
//     * 查询成品库存_数量
//     */
//    @Query(value = "select sum(nInQty) from vwmmSTInStoreQuery where tStoreInTime >= ?1 and tStoreInTime <= ?2 and sStoreInNo like LTRIM('%' + ?3 + '%')", nativeQuery = true)
//    double queryStoreWarehouse(Date start, Date end, String sOrderNo);
//
//    @Query(value = "select sum(nInQty)  from vwmmSTInStoreQuery where tStoreInTime >= ?1 and sStoreInNo like LTRIM('%' + ?2 + '%')", nativeQuery = true)
//    double queryStoreWarehouse_start(Date end, String sOrderNo);
//
//    @Query(value = "select sum(nInQty)  from vwmmSTInStoreQuery where tStoreInTime <= ?1 and sStoreInNo like LTRIM('%' + ?2 + '%')", nativeQuery = true)
//    double queryStoreWarehouse_end(Date start, String sOrderNo);
//
//    @Query(value = "select sum(nInQty)  from vwmmSTInStoreQuery where sStoreInNo like LTRIM('%' + ?1 + '%')", nativeQuery = true)
//    double queryStoreWarehouse(String sStoreInNo);
//}
